/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*                       DIRECCIN DE PRUEBAS Y MEDICIN
/*                           SUBDIRECCION DE ANLISIS
/*_____________________________________________________________________________
/*
/*             EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                     TERCER GRADO DE SECUNDARIA (Excale 09)
/*
/*                          **** DOCENTES CONTEXTO ****
/*
/*                      Ciclo escolar evaluado: 2007 - 2008
/*_____________________________________________________________________________
/*
/*
/*       PROGRAMA PARA CONSTRUIR LA BASE DE DATOS DE DOCENTES DE CONTEXTO
/*                                EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte al archivo Excale09_2008_Doc_Cuest.txt, el cual est en
/*  formato ASCII, en una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale09_2008_Doc_Cuest.txt
/*         as como el archivo Excale09_2008_Doc_Cuest.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale09_2008_Doc_Cuest.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale09_2008_Doc_Cuest.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 1082
/*      Domicilio: Jos Ma. Velasco No. 101. 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 16 DE MARZO DEL 2010
/*
/*  ****************************************************************************/


/*****************************************************************************
/*    ACTUALIZACIN AL 29 DE NOVIEMBRE DEL 2011
/*
/*   - SE CORRIGIERON LOS VALORES DE LA VARIABLE ESCUELA.
/*
/*******************************************************************************/



LIBNAME  INEE  "C:\***\";
FILENAME doc   "C:\***\Excale09_2008_Doc_Cuest.TXT";

PROC FORMAT;
     VALUE id_entF     1         = "Aguascalientes"
                       2         = "Baja California"
                       3         = "Baja California Sur"
                       4         = "Campeche"
                       5         = "Coahuila"
                       6         = "Colima"
                       7         = "Chiapas"
                       8         = "Chihuahua"
                       9         = "Distrito Federal"
                       10        = "Durango"
                       11        = "Guanajuato"
                       12        = "Guerrero"
                       13        = "Hidalgo"
                       14        = "Jalisco"
                       15        = "Mxico"
                       16        = "Michoacn"
                       17        = "Morelos"
                       18        = "Nayarit"
                       19        = "Nuevo Len"
                       20        = "Oaxaca"
                       21        = "Puebla"
                       22        = "Quertaro"
                       23        = "Quintana Roo"
                       24        = "San Luis Potos"
                       25        = "Sinaloa"
                       26        = "Sonora"
                       27        = "Tabasco"
                       28        = "Tamaulipas"
                       29        = "Tlaxcala"
                       30        = "Veracruz"
                       31        = "Yucatn"
                       32        = "Zacatecas";
     VALUE id_modF     6         = "General"
                       7         = "Tcnica"
                       8         = "Telesecundaria"
                       9         = "Privada";
     VALUE $modF       "GRAL"    = "General"
                       "TEC"     = "Tcnica"
                       "TV"      = "Telesecundaria"
                       "PRIV"    = "Privada";
     VALUE $mageb05F   "R"       = "Escuela rural"
                       "UA"      = "Escuela urbana de alta marginacin"
                       "UB"      = "Escuela urbana de baja marginacin"
                       "NA"      = "No aplica";
     VALUE ps001F      1         = "Hombre"
                       2         = "Mujer"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps002F      1         = "Menos de 29"
                       2         = "Entre 30 y 39"
                       3         = "Entre 40 y 49"
                       4         = "50  ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps003F      3         = "1 asignatura"
                       2         = "2"
                       1         = "3  ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps004F      4         = "Menos de 15"
                       3         = "Entre 16 y 25"
                       2         = "Entre 26 y 40"
                       1         = "41  ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps005F      1         = "Menos de 50"
                       2         = "Entre 51 y 100"
                       3         = "Entre 101 y 150"
                       4         = "Entre 151 y 199"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps006F      1         = "Slo en esta"
                       2         = "En 2"
                       3         = "En 3  ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps007F      1         = "Slo 1"
                       2         = "2  3"
                       3         = "4  5"
                       4         = "6  ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps008F      4         = "De base"
                       3         = "De interinato"
                       2         = "Interinato ilimitado"
                       1         = "Horas por cubrir o solidarias"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps009F      1         = "5  menos"
                       2         = "Entre 6 y 16"
                       3         = "Entre 17 y 34"
                       4         = "35  ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps10_11F    0         = "S"
                       1         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps012F      1         = "Bachillerato o carrera tcnica"
                       2         = "Licenciatura"
                       3         = "Posgrado"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps013F      0         = "Ninguna"
                       1         = "Cursos de nivelacin pedaggica"
                       2         = "Normal bsica"
                       3         = "Normal superior o licenciatura en educacin"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps014F      1         = "1  menos"
                       2         = "2  3"
                       3         = "4  ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps015F      1         = "2  menos"
                       2         = "Entre 3 y 10"
                       3         = "Entre 11 y 15"
                       4         = "16  ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps016F      2         = "S, Carrera Magisterial"
                       1         = "S, algn programa propio de mi plantel"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps017F      4         = "5  menos"
                       3         = "Entre 6 y 10"
                       2         = "Entre 11 y 20"
                       1         = "Ms de 20"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps018F      1         = "Una cuarta parte"
                       2         = "La mitad"
                       3         = "Tres cuartas partes"
                       4         = "Todo o casi todo"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps019F      1         = "S cubrir todos los contenidos"
                       2         = "Hubo demasiada suspensin de clases"
                       3         = "Fue necesario retomar contenidos de grados anteriores"
                       4         = "Existan contenidos demasiados difciles"
                       5         = "Se seleccionan slo algunos contenidos"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps020F      1         = "Inadecuado"
                       2         = "Poco adecuado"
                       3         = "Adecuado"
                       4         = "Muy adecuado"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps021F      1         = "Nunca o casi nunca"
                       2         = "Pocas veces"
                       3         = "Frecuentemente"
                       4         = "Muy frecuentemente"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps022F      1         = "Inadecuado"
                       2         = "Poco adecuado"
                       3         = "Adecuado"
                       4         = "Muy adecuado"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps023F      1         = "Inadecuada"
                       2         = "Poco adecuada"
                       3         = "Adecuada"
                       4         = "Muy adecuada"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps024F      1         = "Inadecuado"
                       2         = "Poco adecuado"
                       3         = "Adecuado"
                       4         = "Muy adecuado"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps025F      1         = "Malo"
                       2         = "Regular"
                       3         = "Bueno"
                       4         = "Excelente"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps26_31F    1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps32_53F    0         = "Nunca o casi nunca"
                       1         = "Pocas veces"
                       2         = "Frecuentemente"
                       3         = "Muy frecuentemente"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps54_57F    0         = "Nada o casi nada"
                       1         = "Poco"
                       2         = "Regular"
                       3         = "Mucho"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps058F      0         = "No existe Consejo Tcnico"
                       1         = "Nunca o casi nunca"
                       2         = "Pocas veces"
                       3         = "Frecuentemente"
                       4         = "Muy frecuentemente"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps059F      0         = "No hay reuniones colegiadas"
                       1         = "Nunca o casi nunca"
                       2         = "Pocas veces"
                       3         = "Frecuentemente"
                       4         = "Muy frecuentemente"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps060F      0         = "No existe Proyecto Escolar"
                       1         = "Nunca o casi nunca"
                       2         = "Pocas veces"
                       3         = "Frecuentemente"
                       4         = "Muy frecuentemente"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps061F      0         = "No hay Proyecto Escolar"
                       1         = "Nunca o casi nunca"
                       2         = "Pocas veces"
                       3         = "Frecuentemente"
                       4         = "Muy frecuentemente"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE ps62_93F    0         = "Nunca o casi nunca"
                       1         = "Una o dos veces por mes"
                       2         = "Una o dos veces por semana"
                       3         = "Siempre o casi todos los das"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
RUN;



DATA INEE.Excale09_2008_Doc_Cuest;
   LENGTH
       nacional           3
       escuela            4
       id_ent             3
       nom_ent            $19
       id_mod             3
       mod                $4
       mageb05            $2
       entest             $6
       id_instr           $12
       docente            5
       ps001              3
       ps002              3
       ps003              3
       ps004              3
       ps005              3
       ps006              3
       ps007              3
       ps008              3
       ps009              3
       ps010              3
       ps011              3
       ps012              3
       ps013              3
       ps014              3
       ps015              3
       ps016              3
       ps017              3
       ps018              3
       ps019              3
       ps020              3
       ps021              3
       ps022              3
       ps023              3
       ps024              3
       ps025              3
       ps026              3
       ps027              3
       ps028              3
       ps029              3
       ps030              3
       ps031              3
       ps032              3
       ps033              3
       ps034              3
       ps035              3
       ps036              3
       ps037              3
       ps038              3
       ps039              3
       ps040              3
       ps041              3
       ps042              3
       ps043              3
       ps044              3
       ps045              3
       ps046              3
       ps047              3
       ps048              3
       ps049              3
       ps050              3
       ps051              3
       ps052              3
       ps053              3
       ps054              3
       ps055              3
       ps056              3
       ps057              3
       ps058              3
       ps059              3
       ps060              3
       ps061              3
       ps062              3
       ps063              3
       ps064              3
       ps065              3
       ps066              3
       ps067              3
       ps068              3
       ps069              3
       ps070              3
       ps071              3
       ps072              3
       ps073              3
       ps074              3
       ps075              3
       ps076              3
       ps077              3
       ps078              3
       ps079              3
       ps080              3
       ps081              3
       ps082              3
       ps083              3
       ps084              3
       ps085              3
       ps086              3
       ps087              3
       ps088              3
       ps089              3
       ps090              3
       ps091              3
       ps092              3
       ps093              3
   ;

INFILE doc MISSOVER LINESIZE = 149;
   INPUT
        NACIONAL          1 - 1
        ESCUELA           2 - 5
        ID_ENT            6 - 7
        NOM_ENT           8 - 26
        ID_MOD           27 - 27
        MOD              28 - 31
        MAGEB05          32 - 33
        ENTEST           34 - 39
        ID_INSTR         40 - 51
        DOCENTE          52 - 56
        PS001            57 - 57
        PS002            58 - 58
        PS003            59 - 59
        PS004            60 - 60
        PS005            61 - 61
        PS006            62 - 62
        PS007            63 - 63
        PS008            64 - 64
        PS009            65 - 65
        PS010            66 - 66
        PS011            67 - 67
        PS012            68 - 68
        PS013            69 - 69
        PS014            70 - 70
        PS015            71 - 71
        PS016            72 - 72
        PS017            73 - 73
        PS018            74 - 74
        PS019            75 - 75
        PS020            76 - 76
        PS021            77 - 77
        PS022            78 - 78
        PS023            79 - 79
        PS024            80 - 80
        PS025            81 - 81
        PS026            82 - 82
        PS027            83 - 83
        PS028            84 - 84
        PS029            85 - 85
        PS030            86 - 86
        PS031            87 - 87
        PS032            88 - 88
        PS033            89 - 89
        PS034            90 - 90
        PS035            91 - 91
        PS036            92 - 92
        PS037            93 - 93
        PS038            94 - 94
        PS039            95 - 95
        PS040            96 - 96
        PS041            97 - 97
        PS042            98 - 98
        PS043            99 - 99
        PS044           100 - 100
        PS045           101 - 101
        PS046           102 - 102
        PS047           103 - 103
        PS048           104 - 104
        PS049           105 - 105
        PS050           106 - 106
        PS051           107 - 107
        PS052           108 - 108
        PS053           109 - 109
        PS054           110 - 110
        PS055           111 - 111
        PS056           112 - 112
        PS057           113 - 113
        PS058           114 - 114
        PS059           115 - 115
        PS060           116 - 116
        PS061           117 - 117
        PS062           118 - 118
        PS063           119 - 119
        PS064           120 - 120
        PS065           121 - 121
        PS066           122 - 122
        PS067           123 - 123
        PS068           124 - 124
        PS069           125 - 125
        PS070           126 - 126
        PS071           127 - 127
        PS072           128 - 128
        PS073           129 - 129
        PS074           130 - 130
        PS075           131 - 131
        PS076           132 - 132
        PS077           133 - 133
        PS078           134 - 134
        PS079           135 - 135
        PS080           136 - 136
        PS081           137 - 137
        PS082           138 - 138
        PS083           139 - 139
        PS084           140 - 140
        PS085           141 - 141
        PS086           142 - 142
        PS087           143 - 143
        PS088           144 - 144
        PS089           145 - 145
        PS090           146 - 146
        PS091           147 - 147
        PS092           148 - 148
        PS093           149 - 149
 ;

   LABEL
       nacional    = "Variable auxiliar para obtener promedios nacionales"
       escuela     = "Identificador de la escuela"
       id_ent      = "Entidad federativa (identificador numrico)"
       nom_ent     = "Entidad federativa"
       id_mod      = "Estrato escolar o Modalidad educativa (identificador numrico)"
       mod         = "Estrato escolar o Modalidad educativa"
       mageb05     = "ndice de marginacin urbana 2005"
       entest      = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad-Densidad de poblacin)"
       id_instr    = "Identificador del cuestionario"
       docente     = "Identificador del docente"
       ps001       = "Es usted hombre o mujer?"
       ps002       = "Cuntos aos cumplidos tiene?"
       ps003       = "Cuntas asignaturas diferentes imparte actualmente?"
       ps004       = "Cuntos alumnos conforman el grupo que se est evaluando?"
       ps005       = "Cuntos alumnos atiende en total? (Considere todos sus grupos incluyendo escuelas diferentes)"
       ps006       = "En cuntas escuelas labora actualmente?"
       ps007       = "Cuntos grupos atiende en total? (considera todas las escuelas donde imparte clases)?"
       ps008       = "Qu tipo de plaza tiene en este plantel?"
       ps009       = "Cuntas hora labora en este plantel?"
       ps010       = "Trabaja otro turno en sta o en otra escuela?"
       ps011       = "Adems de su trabajo como docente, tiene otro empleo permanente por el cual reciba remuneracin?"
       ps012       = "Cul es su nivel mximo de estudios?"
       ps013       = "Cul es su formacin especfica como docente?"
       ps014       = "Cuntos cursos de capacitacin o actualizacin (de al menos 20 horas) que hayan aportado algo a su labor docente, tom en los ltimos 3 aos?"
       ps015       = "Contando este ciclo escolar, cuntos aos tiene trabajando como profesor de secundaria?"
       ps016       = "Est usted incorporado a algn programa de estmulos para la actividad docente?"
       ps017       = "Sin contar los das festivos oficiales, cuntos das no ha podido dar su clase en este ao escolar?"
       ps018       = "Qu proporcin del Programa de estudios de su asignatura cree que cubrira satisfactoriamente con este grupo?"
       ps019       = "Cul es la principal razn por la que no alcanzar a cubrir todos los contenidos curriculares?"
       ps020       = "El tamao del aula donde imparte clases, considerando el nmero de alumnos de su grupo es:"
       ps021       = "Con qu frecuencia el ruido del exterior dificulta el desarrollo de sus clases?"
       ps022       = "El mobiliario de su aula es:"
       ps023       = "La iluminacin de su aula es:"
       ps024       = "El estado del pizarrn de su aula es:"
       ps025       = "Cmo calificara el estado de los baos de su escuela?"
       ps026       = "Dispone de Grabadora o equipo de sonido"
       ps027       = "Dispone de Reproductor de pelculas"
       ps028       = "Dispone de Televisin"
       ps029       = "Dispone de Computadora"
       ps030       = "Dispone de Proyector para computadora o can"
       ps031       = "Dispone de Conexin a Internet"
       ps032       = "Los padres de sus alumnos se acercan a usted para comentar el desempeo acadmico de sus hijos?"
       ps033       = "Con qu frecuencia los padres de sus alumnos realizan alguna actividad que contribuya  a mejorar el aprendizaje de sus hijos?"
       ps034       = "Cuenta usted  con el apoyo de sus colegas para realizar su trabajo diario?"
       ps035       = "Existe una buena comunicacin entre todos los miembros de la comunidad escolar?"
       ps036       = "Existe un clima de confianza entre los miembros de la comunidad escolar?"
       ps037       = "Los maestros se ponen de acuerdo para trabajar con los alumnos?"
       ps038       = "Se suscitan conflictos serios entre los miembros de su comunidad escolar?"
       ps039       = "El director se lleva bien con los docentes?"
       ps040       = "El director se lleva bien con los alumnos?"
       ps041       = "El director se lleva bien con los padres de familia?"
       ps042       = "En los alrededores de su escuela se consume o se vende alcohol?"
       ps043       = "En los alrededores de su escuela se consume o se vende drogas?"
       ps044       = "En los alrededores de su escuela se presentan robos?"
       ps045       = "En los alrededores de su escuela se presentan agresiones a alumnos o docentes?"
       ps046       = "En los alrededores de su escuela se presentan peleas?"
       ps047       = "En los alrededores de su escuela  se da la portacin y el uso de armas?"
       ps048       = "Su director(a) es eficaz para resolver los problemas que surgen en su plantel?"
       ps049       = "Su director(a) respeta la autoridad de los maestros frente a los alumnos?"
       ps050       = "Su director(a) respeta la autoridad de los maestros frente a los padres de familia?"
       ps051       = "El director(a) atiende las necesidades pedaggicas de los docentes?"
       ps052       = "Su director(a) est disponible cuando se le necesita?"
       ps053       = "Su director(a) promueve que se respeten las reglas sin distinciones de jerarquas?"
       ps054       = "Est satisfecho con el nivel de conocimiento de sus alumnos de esta escuela?"
       ps055       = "Est satisfecho con el horario en que labora en esta escuela?"
       ps056       = "Est satisfecho con el tiempo para cubrir los contenidos que establece el programa de su(s) materia(s)"
       ps057       = "Est satisfecho con la relacin entre la(s) materia(s) que imparte y su formacin profesional"
       ps058       = "Contribuye el Consejo Tcnico a la resolucin de las problemticas escolares?"
       ps059       = "Contribuyen las reuniones de grupos colegiados (academias) a mejorar el aprendizaje de los alumnos en su plantel?"
       ps060       = "El Proyecto Escolar fomenta el trabajo colegiado (en grupo)?"
       ps061       = "El Proyecto Escolar de su plantel ayuda a mejorar el rendimiento de sus alumnos?"
       ps062       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante su clase de Espaol? Leer en voz alta"
       ps063       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante su clase de Espaol? Leer en silencio"
       ps064       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante su clase de Espaol? Discutir en grupo acerca de lo que han ledo"
       ps065       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante su clase de Espaol? Realizar escritos o ensayos sobre lo que han ledo"
       ps066       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante su clase de Espaol? Desarrollar un trabajo en grupo acerca de lo que han ledo"
       ps067       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante su clase de Espaol? Hacer interpretaciones sobre lo que han ledo y argumentarlas"
       ps068       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante su clase de Espaol? Responder por escrito a preguntas relacionadas con lo que han ledo"
       ps069       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante su clase de Espaol? Hacer predicciones acerca de lo ledo, mientras estn leyendo"
       ps070       = "Con qu frecuencia realiza usted las siguientes actividades durante sus clases de Espaol? Ensear a los estudiantes estrategias para descubrir el significado de nuevas palabras"
       ps071       = "Con qu frecuencia realiza usted las siguientes actividades durante sus clases de Espaol? Poner a los estudiantes a que utilicen el vocabulario aprendido"
       ps072       = "Con qu frecuencia utiliza los siguientes materiales durante sus clases de Espaol? Libros de texto y de trabajo"
       ps073       = "Con qu frecuencia utiliza los siguientes materiales durante sus clases de Espaol? Libros de la biblioteca (literatura, informativos)"
       ps074       = "Con qu frecuencia utiliza los siguientes materiales durante sus clases de Espaol? Material audiovisual"
       ps075       = "Con qu frecuencia utiliza los siguientes materiales durante sus clases de Espaol? Revistas o peridicos"
       ps076       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Practican o revisan temas de Matemticas en la computadora"
       ps077       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Realicen una investigacin sobre un tema de Matemticas en internet o en un medio electrnico (programas de cmputo)"
       ps078       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Emplean programas de cmputo para desarrollar temas de Matemticas (hojas de clculo, programas de graficacin, etctera"
       ps079       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Emplean una calculadora de funciones bsicas (adicin, sustraccin, multiplicacin y divisin) para resolver problemas o ejercicios"
       ps080       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Emplean una calculadora cientfica para resolver problemas o ejercicios"
       ps081       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Emplean una calculadora para representar funciones matemticas"
       ps082       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Deducen el procedimiento para la solucin de un problema sin la explicacin previa del maestro"
       ps083       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Resuelven problemas distintos a los vistos en clase"
       ps084       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Aplican los conocimientos de Matemticas a problemas de la vida"
       ps085       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Resuelven problemas individualmente"
       ps086       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Resuelven problemas en equipos"
       ps087       = "Con qu frecuencia pone a sus alumnos a realizar las siguientes actividades durante sus clases de Matemticas? Exponen la solucin de un problema frente al grupo"
       ps088       = "Con qu frecuencia realiza usted las siguientes actividades durante sus clases de Matemticas? Soluciona un problema frente al grupo como una demostracin"
       ps089       = "Con qu frecuencia realiza usted las siguientes actividades durante sus clases de Matemticas? Emplea la computadora para ensear conceptos de matemticas a sus alumnos"
       ps090       = "Con qu frecuencia realiza usted las siguientes actividades durante sus clases de Matemticas? Busca informacin sobre matemticas en internet o en un programa de cmputo"
       ps091       = "Con qu frecuencia realiza usted las siguientes actividades durante sus clases de Matemticas? Desarrolla de Matemticas"
       ps092       = "Con qu frecuencia realiza usted las siguientes actividades durante sus clases de Matemticas? Evala a sus alumnos mediante ejercicios prcticos"
       ps093       = "Con qu frecuencia realiza usted las siguientes actividades durante sus clases de Matemticas? Analiza los errores de los estudiantes como una estrategia para facilitar el aprendizaje"
 ;

   FORMAT
        nacional           1.
        escuela            4.
        id_ent             id_entF.
        nom_ent            $char19.
        id_mod             id_modF.
        mod                $modF.
        mageb05            mageb05F.
        entest             $char6.
        id_instr           $char12.
        docente            5.
        ps001              ps001F.
        ps002              ps002F.
        ps003              ps003F.
        ps004              ps004F.
        ps005              ps005F.
        ps006              ps006F.
        ps007              ps007F.
        ps008              ps008F.
        ps009              ps009F.
        ps010              ps10_11F.
        ps011              ps10_11F.
        ps012              ps012F.
        ps013              ps013F.
        ps014              ps014F.
        ps015              ps015F.
        ps016              ps016F.
        ps017              ps017F.
        ps018              ps018F.
        ps019              ps019F.
        ps020              ps020F.
        ps021              ps021F.
        ps022              ps022F.
        ps023              ps023F.
        ps024              ps024F.
        ps025              ps025F.
        ps026              ps26_31F.
        ps027              ps26_31F.
        ps028              ps26_31F.
        ps029              ps26_31F.
        ps030              ps26_31F.
        ps031              ps26_31F.
        ps032              ps32_53F.
        ps033              ps32_53F.
        ps034              ps32_53F.
        ps035              ps32_53F.
        ps036              ps32_53F.
        ps037              ps32_53F.
        ps038              ps32_53F.
        ps039              ps32_53F.
        ps040              ps32_53F.
        ps041              ps32_53F.
        ps042              ps32_53F.
        ps043              ps32_53F.
        ps044              ps32_53F.
        ps045              ps32_53F.
        ps046              ps32_53F.
        ps047              ps32_53F.
        ps048              ps32_53F.
        ps049              ps32_53F.
        ps050              ps32_53F.
        ps051              ps32_53F.
        ps052              ps32_53F.
        ps053              ps32_53F.
        ps054              ps54_57F.
        ps055              ps54_57F.
        ps056              ps54_57F.
        ps057              ps54_57F.
        ps058              ps058F.
        ps059              ps059F.
        ps060              ps060F.
        ps061              ps061F.
        ps062              ps62_93F.
        ps063              ps62_93F.
        ps064              ps62_93F.
        ps065              ps62_93F.
        ps066              ps62_93F.
        ps067              ps62_93F.
        ps068              ps62_93F.
        ps069              ps62_93F.
        ps070              ps62_93F.
        ps071              ps62_93F.
        ps072              ps62_93F.
        ps073              ps62_93F.
        ps074              ps62_93F.
        ps075              ps62_93F.
        ps076              ps62_93F.
        ps077              ps62_93F.
        ps078              ps62_93F.
        ps079              ps62_93F.
        ps080              ps62_93F.
        ps081              ps62_93F.
        ps082              ps62_93F.
        ps083              ps62_93F.
        ps084              ps62_93F.
        ps085              ps62_93F.
        ps086              ps62_93F.
        ps087              ps62_93F.
        ps088              ps62_93F.
        ps089              ps62_93F.
        ps090              ps62_93F.
        ps091              ps62_93F.
        ps092              ps62_93F.
        ps093              ps62_93F.
 ;


/**************************************************************************
/*  Definicin de valores perdidos
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/
   ARRAY perdidos1(93)
                   ps001 ps002 ps003 ps004 ps005 ps006 ps007 ps008 ps009 ps010
                   ps011 ps012 ps013 ps014 ps015 ps016 ps017 ps018 ps019 ps020
                   ps021 ps022 ps023 ps024 ps025 ps026 ps027 ps028 ps029 ps030
                   ps031 ps032 ps033 ps034 ps035 ps036 ps037 ps038 ps039 ps040
                   ps041 ps042 ps043 ps044 ps045 ps046 ps047 ps048 ps049 ps050
                   ps051 ps052 ps053 ps054 ps055 ps056 ps057 ps058 ps059 ps060
                   ps061 ps062 ps063 ps064 ps065 ps066 ps067 ps068 ps069 ps070
                   ps071 ps072 ps073 ps074 ps075 ps076 ps077 ps078 ps079 ps080
                   ps081 ps082 ps083 ps084 ps085 ps086 ps087 ps088 ps089 ps090
                   ps091 ps092 ps093;
   DO  i=1 TO 93;
          IF perdidos1{i} = 8   THEN  perdidos1{i} = .M;
          IF perdidos1{i} = 9   THEN  perdidos1{i} = .S;
   END;

   drop i;
RUN;



